Redmine - Feature #15900

Add to Issues List column of the attachment icon
2014-01-19 04:29 - Takuma Ozawa

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

If there are attachments, | want to display in the issues list the attachment icon.

Interface, such as a mail client.

In addition, | want to add REST API also (Listing issues).

Thanks :-)

Related issues:

Related to Redmine - Feature #12886: Consider adding a new field named "Has A... Closed

Related to Redmine - Feature #6719: File format for custom fields (specific f... Closed 2010-10-21
History

#1 - 2014-06-25 05:24 - Go MAEDA

- File issue-list-with-attachment-icon.png added

- File 15900.diff added

| made a patch to display the attachment icon.
issue-list-with-attachment-icon.png

#2 - 2014-06-25 14:25 - Go MAEDA

- File patch-15900-2.png added

- File patch-15900-2.diff added

Submitting a new patch.

Previous patch breaks subtask indentation. | fixed CSS to cope with it.
patch-15900-2.png

#3 - 2014-08-11 03:25 - Makoto SAKAI
Good job!

#4 - 2014-08-12 14:57 - Akipii Oga

+1

#5 - 2014-11-03 05:28 - Go MAEDA

| confirmed that the patch works with current trunk(r13547).
| hope that this patch is included in Redmine 3.0.0.

#6 - 2015-03-08 05:59 - Go MAEDA

- Related to Feature #12886: Consider adding a new field named "Has Attachments" or "# of Attachments" added

#7 - 2015-04-29 08:48 - Go MAEDA

- Target version set to Candidate for next major release
https://www.redmine.org/projects/redmine/repository/svn/revisions/13547

#8 - 2015-08-06 04:02 - Toshi MARUYAMA
- Related to Feature #6719: File format for custom fields (specific file uploads) added

#9 - 2015-09-28 11:38 - Go MAEDA
- File patch-15900-3.diff added

- Target version changed from Candidate for next major release to 3.2.0

Updated the patch for the latest trunk.
I hope this feature will be included in next release.

#10 - 2015-10-15 23:37 - Jean-Philippe Lang
- File 15900 _attachment _icon_on_the_issue_list.patch added

- Target version changed from 3.2.0 to Candidate for next major release

The patch can't be committed as is. It triggers one query per issue on the issue list and an additional for each issue link in fromatted text. Here is a
patch that preloads the attachment counts for the issue list.

Still, this adds some more overhead to the issue list and I'd like to get more feedback from users before adding it to the core. | personnally don't feel
much the need for it.

#11 - 2015-10-16 13:42 - budo kaiman

Could we have a checkbox option to show attachments icon like we have to show descriptions?

#12 - 2021-07-23 05:04 - Go MAEDA

You can display "Files" column in the issues list since Redmine 3.4.0 (#25515).

Since you can see if there are attachments by displaying the Files column, | think it is no longer necessary to show an attachments icon.
